%global packname R.oo
%global packver  1.24.0
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          1.24.0
Release:          1
Summary:          R Object-Oriented Programming with or without References

License:          LGPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-R.methodsS3 >= 1.8.0
BuildRequires:    R-methods
BuildRequires:    R-utils
BuildRequires:    R-tools

%description
Methods and classes for object-oriented programming in R with or without
references.  Large effort has been made on making definition of methods as
simple as possible with a minimum of maintenance for package developers.
The package has been developed since 2001 and is now considered very
stable.  This is a cross-platform package implemented in pure R that
defines standard S3 classes without any tricks.


%prep
%setup -q -c -n %{packname}
for file in %{packname}/inst/CITATION; do
    sed "s|\r||g" ${file} > ${file}.new
    touch -r ${file} ${file}.new
    mv ${file}.new ${file}
done

file=%{packname}/NEWS
iconv -f latin1 -t UTF-8 ${file} > ${file}.new
touch -r ${file} ${file}.new
mv ${file}.new ${file}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/misc
%{rlibdir}/%{packname}/WORDLIST


%changelog
* Thu Jun 16 2022 misaka00251 <misaka00251@misakanet.cn> - 1.24.0-1
- Init package (Thanks to fedora team)
